@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500&display=swap");

.card {
  font-family: "Open Sans", sans-serif;
  width: 300px;
  background-color: #33383d;
  color: #fff;
  margin: 30px auto;
  border-radius: 10px;
  margin: 15px;

  .img {
    img {
      width: 300px;
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;
    }
  }

  .content {
    padding: 15px;

    .title {
      letter-spacing: 5px;
      text-shadow: -3px -3px #282c30;
      margin-bottom: 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    .desc {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      color: #7b8388;
      font-weight: bold;
      margin-bottom: 10px;
    }

    .wrapper {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .genre {
        background-color: #7b8388;
        color: #292b31;
        font-size: 14px;
        font-weight: bolder;
        padding: 2px 5px;
        border-radius: 7px;
      }

      button {
        background-color: #7b8388;
        color: #292b31;
        font-size: 12px;
        font-weight: bold;
        padding: 2px 5px;
        border: none;
        border-radius: 7px;
        cursor: pointer;
      }
    }
  }
}

@media (max-width: 320px) {
  .card {
    width: 250px;

    img {
      width: 250px !important;
    }

    .content {
      font-size: 12px;

      .genre {
        font-size: 12px !important;
      }
    }
  }
}
